## riscemu 2.2.7

=== sphinx-docs/requirements.txt ===
sphinx
recommonmark

## riscemu 2.2.5

=== debian/changelog ===
riscemu (2.2.5-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 20 Nov 2023 07:48:16 +0000

riscemu (2.2.5-1) unstable; urgency=low

  * Initial release. (Closes: #1052439)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 15 Nov 2023 11:28:04 +0000

=== debian/control ===
Source: riscemu
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-recommonmark <!nodoc>,
               txt2man,
Standards-Version: 4.6.2
Homepage: https://github.com/AntonLydike/riscemu
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/riscemu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/riscemu
Description: RISC-V emulator in Python
 Implementing a basic RISC-V emulator, aimed at being easily extendable.
 Check out the docs at readthedocs or riscemu.datenvorr.at.
 .
 This emulator contains:
  -  RISC-V Assembly parser
  -  RISC-V Assembly loader
  -  Emulation for most parts of the basic RISC-V instruction set and
     the M and A extensions
  -  Naive memory emulator
  -  Basic implementation of some syscalls
  -  A debugging environment

Package: riscemu
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-pyelftools
Suggests: riscemu-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the core riscemu module for Python 3.x .

Package: riscemu-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Build-Profiles: <!nodoc>
Suggests: riscemu
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the documentation files for the riscemu package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=riscemu

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N sphinx-docs/source $(CURDIR)/debian/riscemu-doc/usr/share/doc/riscemu/html
	dh_sphinxdoc
endif

execute_before_dh_install:
	rm -rf $(CURDIR)/debian/python3-riscemu/usr/lib/python*/dist-packages/riscemu/libc/README.md
	rm -rf $(CURDIR)/debian/python3-riscemu/usr/lib/python*/dist-packages/riscemu/tools

execute_before_dh_installman:
	txt2man -s 1 -v "riscemu" -t "riscemu" \
	-r "$(VERSION)" -d "$(DEBDATE)" debian/manpage/riscemu.txt > debian/manpage/riscemu.1

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/AntonLydike/riscemu/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## riscemu 2.2.7

=== debian/changelog ===
riscemu (2.2.7-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-importlib-resources
  * dh-sequence-python3 is used, trim d/rules
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 21:59:37 +0200

riscemu (2.2.7-1) unstable; urgency=medium

  * New upstream version 2.2.7
  * Bump std-ver to 4.7.0
  * Wrap-and-sort on d/control
  * Use DEB_VERSION_UPSTREAM instead of custom defined
  * Refresh riscemu manual and no content update
  * Use new dh-sequence-python3.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 31 Jul 2024 10:50:03 +0800

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bo YU <tsu.yubo@gmail.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               pybuild-plugin-pyproject,
-               python3-poetry-core,
-               python3-setuptools,
-               python3-pytest <!nocheck>,
-               python3-sphinx <!nodoc>,
-               python3-recommonmark <!nodoc>,
-               txt2man,
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ pybuild-plugin-pyproject,
+ python3-poetry-core,
+ python3-setuptools,
+ python3-pytest <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-recommonmark <!nodoc>,
+ txt2man,
+Standards-Version: 4.7.2
 Homepage: https://github.com/AntonLydike/riscemu
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/riscemu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/riscemu
 Description: RISC-V emulator in Python
@@ -33,8 +33,10 @@
 
 Package: riscemu
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-         python3-pyelftools
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-pyelftools
 Suggests: riscemu-doc
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,13 @@
 
 export PYBUILD_NAME=riscemu
 
-VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
+include /usr/share/dpkg/architecture.mk
+export DEB_VERSION_UPSTREAM
+
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 
 override_dh_sphinxdoc:
@@ -21,4 +23,4 @@
 
 execute_before_dh_installman:
 	txt2man -s 1 -v "riscemu" -t "riscemu" \
-	-r "$(VERSION)" -d "$(DEBDATE)" debian/manpage/riscemu.txt > debian/manpage/riscemu.1
+	-r "$(DEB_VERSION_UPSTREAM)" -d "$(DEBDATE)" debian/manpage/riscemu.txt > debian/manpage/riscemu.1

=== debian/tests/control ===
Tests: pytest 
Depends: @, python3-all, python3-pytest
